package com.ruoyi.model.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单对象 order
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单编号 */
    private Long orderId;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long certificationId;

    /** 删除标记 */
    @Excel(name = "删除标记")
    private Integer deiFlag;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private Long orderAmount;

    /** 下单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderPlaceTime;

    /** 订单数量 */
    @Excel(name = "订单数量")
    private Long orderQuantity;

    /** 服务内容 */
    @Excel(name = "服务内容")
    private String orderServiceContent;

    /** 服务日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "服务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderServiceDate;

    /** 服务时间,1==早上,2==午后,3==晚间 */
    @Excel(name = "服务时间,1==早上,2==午后,3==晚间")
    private Integer orderServiceTime;

    /** 订单状态,0=待接单,1=待上门,2=已完成 */
    @Excel(name = "订单状态,0=待接单,1=待上门,2=已完成")
    private Integer orderState;

    /** 订单总金额 */
    @Excel(name = "订单总金额")
    private Long orderTotalAmount;

    /** 上门地址 */
    @Excel(name = "上门地址")
    private String orderVisitAddress;

    /** 宠物编号 */
    @Excel(name = "宠物编号")
    private Long petId;

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setCertificationId(Long certificationId) 
    {
        this.certificationId = certificationId;
    }

    public Long getCertificationId() 
    {
        return certificationId;
    }
    public void setDeiFlag(Integer deiFlag) 
    {
        this.deiFlag = deiFlag;
    }

    public Integer getDeiFlag() 
    {
        return deiFlag;
    }
    public void setOrderAmount(Long orderAmount) 
    {
        this.orderAmount = orderAmount;
    }

    public Long getOrderAmount() 
    {
        return orderAmount;
    }
    public void setOrderPlaceTime(Date orderPlaceTime) 
    {
        this.orderPlaceTime = orderPlaceTime;
    }

    public Date getOrderPlaceTime() 
    {
        return orderPlaceTime;
    }
    public void setOrderQuantity(Long orderQuantity) 
    {
        this.orderQuantity = orderQuantity;
    }

    public Long getOrderQuantity() 
    {
        return orderQuantity;
    }
    public void setOrderServiceContent(String orderServiceContent) 
    {
        this.orderServiceContent = orderServiceContent;
    }

    public String getOrderServiceContent() 
    {
        return orderServiceContent;
    }
    public void setOrderServiceDate(Date orderServiceDate) 
    {
        this.orderServiceDate = orderServiceDate;
    }

    public Date getOrderServiceDate() 
    {
        return orderServiceDate;
    }
    public void setOrderServiceTime(Integer orderServiceTime) 
    {
        this.orderServiceTime = orderServiceTime;
    }

    public Integer getOrderServiceTime() 
    {
        return orderServiceTime;
    }
    public void setOrderState(Integer orderState) 
    {
        this.orderState = orderState;
    }

    public Integer getOrderState() 
    {
        return orderState;
    }
    public void setOrderTotalAmount(Long orderTotalAmount) 
    {
        this.orderTotalAmount = orderTotalAmount;
    }

    public Long getOrderTotalAmount() 
    {
        return orderTotalAmount;
    }
    public void setOrderVisitAddress(String orderVisitAddress) 
    {
        this.orderVisitAddress = orderVisitAddress;
    }

    public String getOrderVisitAddress() 
    {
        return orderVisitAddress;
    }
    public void setPetId(Long petId) 
    {
        this.petId = petId;
    }

    public Long getPetId() 
    {
        return petId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("certificationId", getCertificationId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("deiFlag", getDeiFlag())
            .append("orderAmount", getOrderAmount())
            .append("orderPlaceTime", getOrderPlaceTime())
            .append("orderQuantity", getOrderQuantity())
            .append("orderServiceContent", getOrderServiceContent())
            .append("orderServiceDate", getOrderServiceDate())
            .append("orderServiceTime", getOrderServiceTime())
            .append("orderState", getOrderState())
            .append("orderTotalAmount", getOrderTotalAmount())
            .append("orderVisitAddress", getOrderVisitAddress())
            .append("petId", getPetId())
            .append("remark", getRemark())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
